Skip to main content
POST
/
api
/
v1
/
knowledge-base
/
file
/
{fileId}
/
view
View knowledge base file
curl --request POST \
  --url https://prod.featherhq.com/api/v1/knowledge-base/file/{fileId}/view \
  --header 'X-API-Key: <api-key>'
{
  "id": "<string>",
  "key": "<string>",
  "presignedUrl": "<string>",
  "expiresIn": 123,
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

fileId
string
required

Response

Knowledge base file presigned URL generated successfully

id
string
required
key
string
required
presignedUrl
string
required
expiresIn
number
required
createdAt
string
required
updatedAt
string
required